const char MAIN_page[] PROGMEM = R"=====(
<!DOCTYPE html>
<html>
<head><meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=no">
<title>LED Control</title>
<style>
   html { font-family: Helvetica; display: inline-block; margin: 0px auto; text-align: center;}
   body {margin-top: 50px;} h1 {color: #444444;margin: 50px auto 30px;} h3 {color: #444444;margin-bottom: 50px;}
   button {display: block; width: 120px; background-color: #3498db; border: none; color: white; 
          padding: 13px 20px;text-decoration: none;font-size: 25px;margin: 0px auto 35px;cursor: 
          pointer;border-radius: 4px;
         }
</style>
<link rel=\"icon\" href=\"data:,\"></head><body>
</head>
<body>

<div id="demo">
<h1>ESP32 webserver</h1>
<h3>Update web page without refresh</h3>
  <button type="button" onclick="sendData(1)">LED ON</button>
  <button type="button" onclick="sendData(0)">LED OFF</button><br>
</div>

<div><p>
  ADC Value is : <span id="ADCValue">0</span> V<br>
  LED State is : <span id="LEDState">NA</span>
  </p>
</div>
<script>
function sendData(led) {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      document.getElementById("LEDState").innerHTML =
      this.responseText;
    }
  };
  xhttp.open("GET", "setLED?LEDstate="+led, true);
  xhttp.send();
}

setInterval(function() {
  // Call a function repetatively with 2 Second interval
  getData();
}, 2000); //2000mSeconds update rate

function getData() {
  var xhttp = new XMLHttpRequest();
  xhttp.onreadystatechange = function() {
    if (this.readyState == 4 && this.status == 200) {
      document.getElementById("ADCValue").innerHTML =
      this.responseText;
    }
  };
  xhttp.open("GET", "readADC", true);
  xhttp.send();
}
</script>
<br><br>Borrowed from: <a href="https://circuits4you.com/2018/02/04/esp8266-ajax-update-part-of-web-page-without-refreshing/">Circuits4you.com</a>
</body>
</html>
)=====";
